{% extends 'base_admin.html' %}

{% load i18n %}
{% load static %}

{% block title %} {% trans "Quiz Result" %} {% endblock title %}

{% block content %}
<!-- Begin Page Content -->
<div class="container-fluid">

    <!-- Page Heading -->
    <div class="d-sm-flex align-items-center justify-content-between mb-4">
        <h1 class="h3 mb-0 text-gray-800">{% trans "Result" %}</h1>
        <a href="{% url 'question_admin:generate_report' %}"
            class="d-none d-sm-inline-block btn btn-sm btn-primary shadow-sm"><i
                class="fas fa-download fa-sm text-white-50"></i> {% trans "Generate Report" %}</a>
    </div>

    <!-- DataTales Example -->
    <div class="card shadow mb-4">
        <div class="card-header py-3">
            <h6 class="m-0 font-weight-bold text-primary">{% trans "Result" %}</h6>
        </div>
        <div class="card-body">
            <div class="table-responsive">
                <table class="table table-bordered" id="dataTable" width="100%" cellspacing="0">
  
                <!-- <thead>
                        <tr>
                            <th>active</th>
                            <th>subject</th>
                            <th>quiz</th>
                            <th>question</th>
                            <th>answer</th>
                        </tr>
                    </thead>
                    <tfoot>
                        <tr>
                            <th>active</th>
                            <th>subject</th>
                            <th>quiz</th>
                            <th>question</th>
                            <th>answer</th>
                        </tr>
                    </tfoot>
                    <tbody>
                        {% for item in mls %}
                        <tr>
                            <td>{{ item.active }}</td>
                            <td>{{ item.subject }}</td>
                            <td>{{ item.quiz }}</td>
                            <td>{{ item.question }}</td>
                            <td>{{ item.answer }}</td>
                        </tr>
                        {% endfor %}
                    </tbody> -->
                    
                    <thead>
                        <tr>
                            {% for item in head %}
                                <th>{{ item }}</th>
                            {% endfor %}
                        </tr>
                    </thead>
                    <tfoot>
                        <tr>
                            {% for item in head %}
                                <th>{{ item }}</th>
                            {% endfor %}
                        </tr>
                    </tfoot>
                    <tbody>
                        {% for line in answer_list %}
                        <tr>
                            {% for item in line %}
                            <td>{{ item }}</td>
                            {% endfor %}
                        </tr>
                        {% endfor %}
                    </tbody>
                
                </table>
            </div>
        </div>
    </div>

</div>
<!-- /.container-fluid -->
{% endblock content %}

{% block custom_css %}
<!-- Custom styles for this page -->
<link href="{% static 'admin/vendor/datatables/dataTables.bootstrap4.min.css' %}" rel="stylesheet">
{% endblock %}

{% block custom_js %}
<!-- Page level plugins -->
<script src="{% static 'admin/vendor/datatables/jquery.dataTables.min.js' %}"></script>
<script src="{% static 'admin/vendor/datatables/dataTables.bootstrap4.min.js' %}"></script>
<!-- Page level custom scripts -->
<script src="{% static 'admin/js/demo/datatables-demo.js' %}"></script>
{% endblock %}